Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsPopupMenuUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PopupMenuUI
              javax.swing.plaf.basic.BasicPopupMenuUI
                  com.sun.java.swing.plaf.windows.WindowsPopupMenuUI
                      com.jgoodies.looks.windows.WindowsPopupMenuUI

    public final class WindowsPopupMenuUI

extends com.sun.java.swing.plaf.windows.WindowsPopupMenuUI

The JGoodies Windows look&feel implementation of `PopMenuUI`. It differs from the superclass in that it provides an option to get a narrow border. You can set a client property `Options.NO_MARGIN_KEY` to indicate that this popup menu has a border without margin. That is useful in the special case where the popup contains only a single component, for example a JScrollPane.

Version:
  $Revision: 1.10 $
Author:
  Karsten Lentzsch
See Also:
  `Options.NO_MARGIN_KEY`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicPopupMenuUI
`popupMenu`

Constructor Summary
`WindowsPopupMenuUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`void` | `installDefaults()`
`void` | `installListeners()`
`protected void` | `uninstallListeners()`

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsPopupMenuUI
`getPopup, paint`

Methods inherited from class javax.swing.plaf.basic.BasicPopupMenuUI
`installKeyboardActions, installUI, isPopupTrigger, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsPopupMenuUI

    public WindowsPopupMenuUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    public void installDefaults()

  Overrides:
    `installDefaults` in class `BasicPopupMenuUI`

### installListeners

    public void installListeners()

  Overrides:
    `installListeners` in class `com.sun.java.swing.plaf.windows.WindowsPopupMenuUI`

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    `uninstallListeners` in class `BasicPopupMenuUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.